Skip to main content
System Global Type/Management Node Operations
PUTManagement Node OperationsSince 4.1.0SynchronousAuth Required

GetManagementNodeArch

GetManagementNodeArch

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • nameStringRequired

    The resource name.

  • versionStringRequired

    版本号。

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/management-nodes/actions

/zstack/v1/management-nodes/actions

Operation ID

GetManagementNodeArch

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/management-nodes/actions?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "architecture": "x86_64" }

Change History

This API has no change history records yet.

View all change history